%define module	lazy-object-proxy

%define enable_tests 0

Name:		python-%{module}
Summary:	A fast and thorough lazy object proxy
Version:	1.5.1
Release:	%mkrel 1
License:        BSD
Group:          Development/Python
Url:            https://pypi.python.org/pypi/lazy-object-proxy
Source0:	https://pypi.python.org/packages/source/l/%{module}/%{module}-%{version}.tar.gz

%description
A fast and thorough lazy object proxy

%package -n	python3-%{module}
Summary:	A fast and thorough lazy object proxy
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A fast and thorough lazy object proxy

%prep
%setup -q -n %{module}-%{version}

# drop bunded egg-info
rm -rf src/*.egg-info

%build
%py3_build

%if %{enable_tests}
%check
pushd build/lib/lazy-object-proxy/test
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest
popd
%endif

%install
%py3_install

%files -n python3-%{module}
%{python3_sitearch}/lazy_object_proxy*


%changelog
* Mon Aug 03 2020 shlomif <shlomif> 1.5.1-1.mga8
+ Revision: 1610718
- New version 1.5.1

* Fri Jul 03 2020 shlomif <shlomif> 1.5.0-1.mga8
+ Revision: 1601688
- New version 1.5.0

* Tue Feb 18 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1539634
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 1.4.3-1.mga8
+ Revision: 1465488
- New version 1.4.3

* Sun Sep 08 2019 wally <wally> 1.4.2-1.mga8
+ Revision: 1438540
- new version 1.4.2
- drop python2 support
- clean reqs
- rebuild for python3.8

* Fri Mar 15 2019 shlomif <shlomif> 1.3.1-1.mga7
+ Revision: 1377702
- New version 1.3.1

* Tue Jan 08 2019 tv <tv> 1.2.1-4.mga7
+ Revision: 1351616
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-3.mga7
+ Revision: 1300515
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.1-2.mga7
+ Revision: 1135478
- Rebuild for python 3.6

* Fri Dec 18 2015 shlomif <shlomif> 1.2.1-1.mga6
+ Revision: 911690
- Add missing BR
- Importing based on python-astroid

